=== debian/changelog ===
yubikey-touch-detector (1.11.0-2) unstable; urgency=medium

  * No change, source-only rebuild.

 -- Philipp Kern <pkern@debian.org>  Fri, 15 Nov 2024 17:02:03 +0100

yubikey-touch-detector (1.11.0-1) unstable; urgency=medium

  * Initial release (Closes: #1084220)

 -- Philipp Kern <pkern@debian.org>  Thu, 10 Oct 2024 21:56:59 +0200
