## yubikey-touch-detector 1.12.5

=== debian/changelog ===
yubikey-touch-detector (1.12.5-1) unstable; urgency=medium

  * New upstream version

 -- Philipp Kern <pkern@debian.org>  Sun, 26 Jan 2025 13:22:30 +0100
