=== debian/control ===
Source: yubikey-touch-detector
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Philipp Kern <pkern@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               pkgconf,
               golang-any,
               golang-dbus-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-deckarep-golang-set-dev,
               golang-github-esiqveland-notify-dev,
               golang-github-proglottis-gpgme-dev,
               golang-github-rjeczalik-notify-dev,
               golang-github-vtolstov-go-ioctl-dev,
               golang-logrus-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/yubikey-touch-detector
Vcs-Git: https://salsa.debian.org/go-team/packages/yubikey-touch-detector.git
Homepage: https://github.com/maximbaz/yubikey-touch-detector
XS-Go-Import-Path: github.com/maximbaz/yubikey-touch-detector

Package: yubikey-touch-detector
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: tool to notify you when your YubiKey is waiting for a touch
 This package provides a tool that can detect when the attached YubiKey
 is waiting for your touch. It is designed to be integrated with other UI
 components to display a visual indicator.
 .
 By default this tool offers a feed through a socket to other UI
 integrations and natively supports sending notifications through
 libnotify to a desktop implementing the freedesktop.org Desktop
 Notifications Specification. Other integrations might exist for your
 WM to show a touch indicator natively.
